************************************************************************
** UI_READ.SAS reads the UI spells data and formats and labels the    **
** variables.                                                         **
************************************************************************;
libname demo v8 "dkb200:[demodata]";
libname tran xport "dkb200:[demodata]uispells.xpt";

data demo.uispells;
  infile "dkb200:[demodata]uispells.dat";
    input   @1 batch1 2.
            @3 batch2 2.
            @5 batch3 6.
           @11 mpri 3.
           @14 id1 2.
           @16 id2 2.
           @18 id3 6.
           @24 intid 5.
           @29 intdate1 4.
           @33 inttime 4.
           @37 ampm 2.
           @39 status1 2.
           @41 filler1 $21.
           @62 q1 2.
           @64 q2 2.
           @66 q3month 2.
           @68 q3day 2.
           @70 q3year 2.
           @72 q4per $3.
           @75 q4dollar $5.
           @80 q5 2.
           @82 q6month 2.
           @84 q6day 2.
           @86 q6year 2.
           @88 q7 2.
           @90 q8 2.
           @92 q9 2.
           @94 q10a 2.
           @96 q10b 2.
           @98 q10c 2.
          @100 q10d 2.
          @102 q10e 2.
          @104 q10f 2.
          @106 q10g 2.
          @108 q10h 2.
          @110 q10i 2.
          @112 q11 2.
          @114 q12a 2.
          @116 q12b 2.
          @118 q12c 2.
          @120 q12d 2.
          @122 q12e 2.
          @124 q12f 2.
          @126 q12g 2.
          @128 q13 2.
          @130 q14 2.
          @132 q15 2.
          @134 q16a 2.
          @136 q16b 2.
          @138 q16c 2.
          @140 q16d 2.
          @142 q16e 2.
          @144 q16f 2.
          @146 q16g 2.
          @148 q17 2.
          @150 q18 2.
          @152 q19 2.
          @154 q20a 2.
          @156 q20b 2.
          @158 q20c 2.
          @160 q20d 2.
          @162 q20e 2.
          @164 q20f 2.
          @166 q20g 2.
          @168 q20h 2.
          @170 q21 2.
          @172 q22a 2.
          @174 q22b 2.
          @176 q22c 2.
          @178 q22d 2.
          @180 q22e 2.
          @182 q22f 2.
          @184 q22g 2.
          @186 q22h 2.
          @188 q22i 2.
          @190 q22j 2.
          @192 q22k 2.
          @194 q23a 2.
          @196 q23b 2.
          @198 q23c 2.
          @200 q23d 2.
          @202 q23e 2.
          @204 q23f 2.
          @206 q23g 2.
          @208 q23h 2.
          @210 q23i 2.
          @212 q23j 2.
          @214 q23k 2.
          @216 q24 2.
          @218 q25 2.
          @220 q26 3.
          @223 q27 2.
          @225 q28 2.
          @227 q30frmo1 2.
          @229 q30frdy1 2.
          @231 q30fryr1 2.
          @233 q30tomo1 2.
          @235 q30tody1 2.
          @237 q30toyr1 2.
          @239 q31_1 2.
          @241 q32_1 2.
          @243 q33_1 2.
          @245 q34_1 2.
          @247 q35_1 2.
          @249 q36_1per 2.
          @251 q36_1dol 5.
          @256 q37_1 2.
          @258 q38_1 2.
          @260 q39_1 2.
          @262 q40_1 2.
          @264 q41_1 2.
          @266 q42_1 2.
          @268 q30frmo2 2.
          @270 q30frdy2 2.
          @272 q30fryr2 2.
          @274 q30tomo2 2.
          @276 q30tody2 2.
          @278 q30toyr2 2.
          @280 q31_2 2.
          @282 q32_2 2.
          @284 q33_2 2.
          @286 q34_2 2.
          @288 q35_2 2.
          @290 q36_2per 2.
          @292 q36_2dol 5.
          @297 q37_2 2.
          @299 q38_2 2.
          @301 q39_2 2.
          @303 q40_2 2.
          @305 q41_2 2.
          @307 q42_2 2.
          @309 q30frmo3 2.
          @311 q30frdy3 2.
          @313 q30fryr3 2.
          @315 q30tomo3 2.
          @317 q30tody3 2.
          @319 q30toyr3 2.
          @321 q31_3 2.
          @323 q32_3 2.
          @325 q33_3 2.
          @327 q34_3 2.
          @329 q35_3 2.
          @331 q36_3per 2.
          @333 q36_3dol 5.
          @338 q37_3 2.
          @340 q38_3 2.
          @342 q39_3 2.
          @344 q40_3 2.
          @346 q41_3 2.
          @348 q43time 4.
          @352 q43ampm 2.
          @354 q36mail 2.
          @356 q37mail 2.
          @358 q38mail 2.
          @360 q39mail 2.
          @362 q40mail 2.
          @364 q41mail 2.
          @366 intdate2 $6.
          @372 sepstart $6.
          @378 sepend $6.
          @384 job1strt $6.
          @390 job1end $6.
          @396 job2strt $6.
          @402 job2end $6.
          @408 job3strt $6.
          @414 job3end $6.
          @420 minutes 3.
          @423 earnpre 5.
          @428 earnjob1 5.
          @433 earnjob2 5.
          @438 earnjob3 5.
          @443 tenure 3.
          @446 weeksint 3.
          @449 wksjob1 3.
          @452 wksjob2 3.
          @455 wksjob3 3.
          @458 wkspre1 3.
          @461 uispell1 3.
          @464 reason1 2.
          @466 w12 3.
          @469 w23 3.
          @472 w31 3.
          @475 wksempin 3.
          @478 pctemp 4.
          @482 tu12 3.
          @485 tu23 3.
          @488 tu31 3.
          @491 wksunint 3.
          @494 wksout 3.
          @497 pctunemp 3.
          @500 pctout 3.
          @503 weeksui 3.
          @506 exhaust 2.
          @508 disqual 2.
          @510 gwrr 3.
          @513 state1 1.
          @514 filler2 $9.
          @523 bendate yymmdd6.
          @529 date 4.
          @533 status2 2.
          @535 benyrreg 2.
          @537 claimzip $5.
          @542 stateres 2.
          @544 cntyres 3.
          @547 cityres 4.
          @551 gender1 2.
          @553 birthyr 2.
          @555 educhigh 2.
          @557 voctech 2.
          @559 ethnic 2.
          @561 localoff 5.
          @566 inperson 2.
          @568 combine 2.
          @570 combst 2.
          @572 valid 2.
          @574 series 2.
          @576 progtype 2.
          @578 special 2.
          @580 reimburs 2.
          @582 baseearn 5.
          @587 highqtr 5.
          @592 basewks 2.
          @594 tier1 5.
          @599 wbaaug 3.
          @602 wba 3.
          @605 pension 3.
          @608 potdur1 2.
          @610 byb yymmdd6.
          @616 bye yymmdd6.
          @622 firstdt1 yymmdd6.
          @628 finaldt1 yymmdd6.
          @634 latest1 yymmdd6.
          @640 totalpd1 5.
          @645 firstdt2 yymmdd6.
          @651 finaldt2 yymmdd6.
          @657 latest2 yymmdd6.
          @663 totalpd2 5.
          @668 firstdt3 yymmdd6.
          @674 finaldt3 yymmdd6.
          @680 latest3 yymmdd6.
          @686 totalpd3 5.
          @691 durdisq 2.
          @693 indefdis 2.
          @695 entaft1 5.
          @700 checkdt1 yymmdd6.
          @706 checkdt2 yymmdd6.
          @712 checkdt3 yymmdd6.
          @718 wksclmd 2.
          @720 wkscomp1 2.
          @722 wkscomp2 2.
          @724 wkscomp3 2.
          @726 noinit 2.
          @728 datefire yymmdd6.
          @734 claimtyp 2.
          @736 wksfile 2.
          @738 fein1 5.
          @743 fein2 5.
          @748 emps10 5.
          @753 cntyemp 3.
          @756 empdesig 2.
          @758 reason2 2.
          @760 sepdisq 2.
          @762 sepbegin yymmdd6.
          @768 sepissue 2.
          @770 sepweeks 2.
          @772 disdur 2.
          @774 nonmonis 2.
          @776 denied 2.
          @778 reduce 2.
          @780 marital 2.
          @782 recall1 2.
          @784 recall2 2.
          @786 hhincome 2.
          @788 penclass 2.
          @790 usualern 4.
          @794 usualhrs 2.
          @796 spousewk 2.
          @798 hhsize 2.
          @800 hhwork 2.
          @802 depend 2.
          @804 occskill 7.
          @811 stlast 2.
          @813 ziplast 5.
          @818 lastday yymmdd6.
          @824 stateuse 4.
          @828 miss 2.
          @830 taxrate 4.
          @834 wgratio 2.
          @836 state2 2.
          @838 ltjan80 2.
          @840 gtjan80 2.
          @842 age 2.
          @844 gender2 2.
          @846 black 2.
          @848 spwork 2.
          @850 xprewg 6.
          @856 xprcl2 2.
          @858 xprcl3 2.
          @860 pd2 4.
          @864 usees 2.
          @866 esjob 2.
          @868 esjobe 2.
          @870 esjobl 2.
          @872 refer 2.
          @874 jobinfo 2.
          @876 xhrwg1 6.
          @882 rwui 6.
          @888 hrpre 6.
          @894 rw1 6.
          @900 hrwg1 6.
          @906 wks1 5.
          @911 datex 6.
          @917 exht1 2.
          @919 exht2 2.
          @921 wks2 5.
          @926 samejob 2.
          @928 exht3 2.
          @930 exht4 2.
          @932 wks3 5.
          @937 wks4 5.
          @942 sum2 2.
          @944 xcont 3.
          @947 xcontd yymmdd6.
          @953 xct 2.
          @955 xjr 2.
          @957 xp 2.
          @959 xlo 2.
          @961 xctdate yymmdd6.
          @967 xjrdate yymmdd6.
          @973 xpdate yymmdd6.
          @979 xlodate yymmdd6.
          @985 esars 2.;

  label batch1="#1, Batch";
  label batch2="#2, Batch";
  label batch3="#3, Batch";
  label mpri="#4, MPRI";
  label id1="#5, ID";
  label id2="#6, ID";
  label id3="#7, ID";
  label intid="#8, Interviewer ID";
  label intdate1="#9, Interview Date";
  label inttime="#10, Time Interview Began";
  label ampm="#11, AM or PM";
  label status1="#12, Status";
  label filler1="Vars 13-19, Filler";
  label q1="#20, Question 1";
  label q2="#21, Question 2";
  label q3month="#22, Question 3, Month";
  label q3day="#23, Question 3, Day";
  label q3year="#24, Question 3, Year";
  label q4per="#25, Question 4, Week, Month, Year";
  label q4dollar="#26, Question 4, Dollar Amount";
  label q5="#27, Question 5";
  label q6month="#28, Question 6, Month";
  label q6day="#29, Question 6, Day";
  label q6year="#30, Question 6, Year";
  label q7="#31, Question 7";
  label q8="#32, Question 8";
  label q9="#33, Question 9";
  label q10a="#34, Question 10a";
  label q10b="#35, Question 10b";
  label q10c="#36, Question 10c";
  label q10d="#37, Question 10d";
  label q10e="#38, Question 10e";
  label q10f="#39, Question 10f";
  label q10g="#40, Question 10g";
  label q10h="#41, Question 10h";
  label q10i="#42, Question 10i";
  label q11="#43, Question 11";
  label q12a="#44, Question 12a";
  label q12b="#45, Question 12b";
  label q12c="#46, Question 12c";
  label q12d="#47, Question 12d";
  label q12e="#48, Question 12e";
  label q12f="#49, Question 12f";
  label q12g="#50, Question 12g";
  label q13="#51, Question 13";
  label q14="#52, Question 14";
  label q15="#53, Question 15";
  label q16a="#54, Question 16a";
  label q16b="#55, Question 16b";
  label q16c="#56, Question 16c";
  label q16d="#57, Question 16d";
  label q16e="#58, Question 16e";
  label q16f="#59, Question 16f";
  label q16g="#60, Question 16g";
  label q17="#61, Question 17";
  label q18="#62. Question 18";
  label q19="#63, Question 19";
  label q20a="#64, Question 20a";
  label q20b="#65, Question 20b";
  label q20c="#66, Question 20c";
  label q20d="#67, Question 20d";
  label q20e="#68, Question 20e";
  label q20f="#69, Question 20f";
  label q20g="#70, Question 20g";
  label q20h="#71, Question 20h";
  label q21="#72, Question 21";
  label q22a="#73, Question 22a";
  label q22b="#74, Question 22b";
  label q22c="#75, Question 22c";
  label q22d="#76, Question 22d";
  label q22e="#77, Question 22e";
  label q22f="#78, Question 22f";
  label q22g="#79, Question 22g";
  label q22h="#80, Question 22h";
  label q22i="#81, Question 22i";
  label q22j="#82, Question 22j";
  label q22k="#83, Question 22k";
  label q23a="#84, Question 23a";
  label q23b="#85, Question 23b";
  label q23c="#86, Question 23c";
  label q23d="#87, Question 23d";
  label q23e="#88, Question 23e";
  label q23f="#89, Question 23f";
  label q23g="#90, Question 23g";
  label q23h="#91,  Question 23h";
  label q23i="#92, Question 23i";
  label q23j="#93, Question 23j";
  label q23k="#94, Question 23k";
  label q24="#95, Question 24";
  label q25="#96, Question 25";
  label q26="#97, Question 26";
  label q27="#98, Question 27";
  label q28="#99, Question 28";
  label q30frmo1="#100, Quest 30, From Month, Job #1";
  label q30frdy1="#101, Quest 30, From Day, Job #1";
  label q30fryr1="#102, Quest 30, From Year, Job #1";
  label q30tomo1="#103, Quest 30, To Month, Job #1";
  label q30tody1="#104, Quest 30, To Day, Job #1";
  label q30toyr1="#105, Quest 30, To Year, Job #1";
  label q31_1="#106, Quest 31, Job #1";
  label q32_1="#107, Quest 32, Job #1";
  label q33_1="#108, Quest 33, Job #1";
  label q34_1="#109, Quest 34, Job #1";
  label q35_1="#110, Quest 35, Job #1";
  label q36_1per="#111, Quest 36, Job #1, Wk,Mo,Yr";
  label q36_1dol="#112, Quest 36, Job #1, $";
  label q37_1="#113, Quest 37, Job #1";
  label q38_1="#114, Quest 38, Job #1";
  label q39_1="#115, Quest 39, Job #1";
  label q40_1="#116, Quest 40, Job #1";
  label q41_1="#117, Quest 41, Job #1";
  label q42_1="#118, Quest 42, Job #1";
  label q30frmo2="#119, Quest 30, From Month, Job #2";
  label q30frdy2="#120, Quest 30, From Day, Job #2";
  label q30fryr2="#121, Quest 30, From Year, Job #2";
  label q30tomo2="#122, Quest 30, To Month, Job #2";
  label q30tody2="#123, Quest 30, To Day, Job #2";
  label q30toyr2="#124, Quest 30, To Year, Job #2";
  label q31_2="#125, Quest 31, Job #2";
  label q32_2="#126, Quest 32, Job #2";
  label q33_2="#127, Quest 33, Job #2";
  label q34_2="#128, Quest 34, Job #2";
  label q35_2="#129, Quest 35, Job #2";
  label q36_2per="#130, Quest 36, Job #2, Wk,Mo,Yr";
  label q36_2dol="#131, Quest 36, Job #2, $";
  label q37_2="#132, Quest 37, Job #2";
  label q38_2="#133, Quest 38, Job #2";
  label q39_2="#134, Quest 39, Job #2";
  label q40_2="#135, Quest 40, Job #2";
  label q41_2="#136, Quest 41, Job #2";
  label q42_2="#137, Quest 42, Job #2";
  label q30frmo3="#138, Quest 30, From Month, Job #3";
  label q30frdy3="#139, Quest 30, From Day, Job #3";
  label q30fryr3="#140, Quest 30, From Year, Job #3";
  label q30tomo3="#141, Quest 30, To Month, Job #3";
  label q30tody3="#142, Quest 30, To Day, Job #3";
  label q30toyr3="#143, Quest 30, To Year, Job #3";
  label q31_3="#144, Quest 31, Job #3";
  label q32_3="#145, Quest 32, Job #3";
  label q33_3="#146, Quest 33, Job #3";
  label q34_3="#147, Quest 34, Job #3";
  label q35_3="#148, Quest 35, Job #3";
  label q36_3per="#149, Quest 36, Job #3, Wk,Mo,Yr";
  label q36_3dol="#150, Quest 36, Job #3, $";
  label q37_3="#151, Quest 37, Job #3";
  label q38_3="#152, Quest 38, Job #3";
  label q39_3="#153, Quest 39, Job #3";
  label q40_3="#154, Quest 40, Job #3";
  label q41_3="#155, Quest 41, Job #3";
  label q43time="#156, Quest 43, Time";
  label q43ampm="#157, Quest 43, Time, AM or PM";
  label q36mail="#158, Quest 36, Mail Interview";
  label q37mail="#159, Quest 37, Mail Interview";
  label q38mail="#160, Quest 38, Mail Interview";
  label q39mail="#161, Quest 39, Mail Interview";
  label q40mail="#162, Quest 40, Mail Interview";
  label q41mail="#163, Quest 41, Mail Interview";
  label intdate2="#164, Date of Interview";
  label sepstart="#165, Seperating Employer, Start Date";
  label sepend="#166, Seperating Employer, End Date";
  label job1strt="#167, Job 1 After UI, Start Date";
  label job1end="#168, Job 1 After UI, End Date";
  label job2strt="#169, Job 2 After UI, Start Date";
  label job2end="#170, Job 2 After UI, End Date";
  label job3strt="#171, Job 3 After UI, Start Date";
  label job3end="#172, Job 3 After UI, End Date";
  label minutes="#173, Time of Interview in Minutes";
  label earnpre="#174, Pre-UI Weekly Earnings";
  label earnjob1="#175, Weekly Earnings on Job 1";
  label earnjob2="#176, Weekly Earnings on Job 2";
  label earnjob3="#177, Weekly Earnings on Job 3";
  label tenure="#178, Months Tenure on Pre-UI Job";
  label weeksint="#179, Weeks from Layoff to Interview";
  label wksjob1="#180, Weeks on Job 1";
  label wksjob2="#181, Weeks on Job 2";
  label wksjob3="#182, Weeks on Job 3";
  label wkspre1="#183, Weeks, End Pre-UI Job, Job 1/Inter";
  label uispell1="#184, Initial UI Spell Length in Weeks";
  label reason1="#185, Reason for End of Initial Spell";
  label w12="#186, Weeks Job 1 End, Job 2 Start";
  label w23="#187, Weeks Job 2 End, Job 3 Start";
  label w31="#188, Wks, Int Date - Job 3 End";
  label wksempin="#189, Wks Employed, Pre UI End to Inter";
  label pctemp="#190, Percentage of Time Employed";
  label tu12="#191, Weeks Job 2 Start, Job 1 End";
  label tu23="#192, Weeks Job 3 Start, Job 2 End";
  label tu31="#193, Weeks Inter, Job 3 End";
  label wksunint="#194, Wks Unemp, Pre-UI End to Inter";
  label wksout="#195, Wks Out of Labor Force";
  label pctunemp="#196, Percent of Time Unemployed";
  label pctout="#197, Percent of Time Out of LF";
  label weeksui="#198, Weeks of UI Since Layoff";
  label exhaust="#199, Exhausted Benefits Dummy";
  label disqual="#200, Disqualified Dummy";
  label gwrr="#201, Gross Wage Replacement Rate";
  label state="#202, CWBH, State Code";
  label filler2="#203-204, CWBH, Filler";
  label bendate="#205, CWBH, Benefit Date";
  label date="#206, CWBH, Date";
  label status2="#207, CWBH, Interview Status";
  label benyrreg="#208, CWBH, Year of Regular Benefit Year";
  label claimzip="#209, CWBH, Claimant Zip Code";
  label stateres="#210, CWBH, Claimant State Code";
  label cntyres="#211, CWBH, Claimant County Code";
  label cityres="#212, CWBH, Claimant City Code";
  label gender1="#213, CWBH, Gender of Claimant";
  label birthyr="#214, CWBH, Year of Birth";
  label educhigh="#215, CWBH, Highest Grade Competed";
  label voctech="#216, CWBH, Vocational/Technical";
  label ethnic="#217, CWBH, Ethnic Group";
  label localoff="#218, CWBH, Local Office Code";
  label inperson="#219, CWBH, File In Person/Mail";
  label combine="#220, CWBH, Inter/Intra/Combined Wage";
  label combst="#221, CWBH, St Code, Inter State Claim";
  label valid="#222, CWBH, Monetarily Valid Claim";
  label series="#223, CWBH, Benefit Series";
  label progtype="#224, CWBH, Program Type";
  label special="#225, CWBH, Special Programs";
  label reimburs="#226, CWBH, Reimbursable Employees";
  label baseearn="#227, CWBH, Base Period Earnings";
  label highqtr="#228, CWBH, High Qtr Earnings";
  label basewks="#229, CWBH, Weeks Worked Base Year";
  label tier1="#230, CWBH, Total 1st Tier Entitlement";
  label wbaaug="#231, CWBH, Augmented WBA";
  label wba="#232, CWBH, Basic WBA";
  label pension="#233, CWBH, Pension Reduction";
  label potdur1="#234, CWBH, Potential Duration, 1st tier";
  label byb="#235, CWBH, Benefit Year Begin Date";
  label bye="#236, CWBH, Benefit Year End Date";
  label firstdt1="#237, CWBH, First Pay Date, 1st Tier";
  label finaldt1="#238, CWBH, Final Pay Date, 1st Tier";
  label latest1="#239, CWBH, Latest Pay Date, 1st Tier";
  label totalpd1="#240, CWBH, Total Benefit Paid, 1st Tier";
  label firstdt2="#241, CWBH, First Pay Date, 2nd Tier";
  label finaldt2="#242, CWBH, Final Pay Date, 2nd Tier";
  label latest2="#243, CWBH, Latest Pay Date, 2nd Tier";
  label totalpd2="#244, CWBH, Total Benefit Paid, 2nd Tier";
  label firstdt3="#245, CWBH, First Pay Date, 3rd Tier";
  label finaldt3="#246, CWBH, Final Pay Date, 3rd Tier";
  label latest3="#247, CWBH, Latest Pay Date, 3rd Tier"; 
  label totalpd3="#248, CWBH, Total Benefit Paid, 3rd Tier";
  label durdisq="#249, CWBH, Total Duration Disqual";
  label indefdis="#250, CWBH, Number Indefinite Disqual";
  label entaft1="#251, CWBH, Entitlement After Disqual";
  label checkdt1="#252, CWBH, Check Date 1st Pmt, 1st Tier";
  label checkdt2="#253, CWBH, Check Date 1st Pmt, 2nd Tier";
  label checkdt3="#254, CWBH, Check Date 1st Pmt, 3rd Tier";
  label wksclmd="#255, CWBH, Num of Weeks Claimed";
  label wkscomp1="#256, CWBH, Num Weeks Comp, Total";
  label wkscomp2="#257, CWBH, Num Weeks Comp, Partial";
  label wkscomp3="#258, CWBH, Num Weeks Comp, Tot-Part";
  label noinit="#259, CWBH, No Additional Initial Clms";
  label datefire="#260, CWBH, Date Fired";
  label claimtyp="#261, CWBH, Type of Claim";
  label wksfile="#262, CWBH, Num Weeks Last Job to File";
  label fein1="#263, CWBH, FEIN";
  label fein2="#264, CWBH, FEIN";
  label emps10="#265, CWBH, Employer-S10";
  label cntyemp="#266, CWBH, County Code of Employer";
  label empdesig="#267, CWBH, Designation of Employer";
  label reason2="#268, CWBH, Reason for Job Separation";
  label sepdisq="#269, CWBH, Sep Disqualification Imposed";
  label sepbegin="#270, CWBH, Begin Date of Sep Disqual";
  label sepissue="#271, CWBH, Separation Issue";
  label sepweeks="#272, CWBH, Wks Duration of Sep Disqual";
  label disdur="#273, CWBH, Sep Disqual Duration";
  label nonmonis="#274, CWBH, Non-Monetary Issue";
  label denied="#275, CWBH, Benefits Denied Duration";
  label reduce="#276, CWBH, Monetary Entitle Reduced";
  label marital="#277, CWBH, Marital Status";
  label recall1="#278, CWBH, Recall Expected";
  label recall2="#279, CWBH, Definite Recall Date";
  label hhincome="#280, CWBH, Household Income";
  label penclass="#281, CWBH, Retire Pension Class";
  label usualern="#282, CWBH, Usual Weekly Earnings";
  label usualhrs="#283, CWBH, Usual Hours";
  label spousewk="#284, CWBH, Spouse Working Indicator";
  label hhsize="#285, CWBH, Household Size";
  label hhwork="#286, CWBH, Num Workers in Household";
  label depend="#287, CWBH, Number of Dependents";
  label occskill="#288, CWBH, Occupation or Skill Level";
  label stlast="#289, CWBH, State Code of Last Emp";
  label ziplast="#290, CWBH, Zip Code of Last Emp";
  label lastday="#291, CWBH, Last Day Worked";
  label stateuse="#292, CWBH, For State Usage";
  label miss="#293, Missing (0 if no missing values)";
  label taxrate="#294, State Tax Rate";
  label wgratio="#295, Net Wage Replacement Ratio";
  label state2="#296, State";
  label ltjan80="#297, Laid-off Before January 1980";
  label gtjan80="#298, Laid-off After January 1980";
  label age="#299, Age";
  label gender2="#300, Gender";
  label black="#301, Ethnicity, Black";
  label spwork="#302, Spouse Working";
  label xprewg="#303, Hrly Wage Before UI";
  label xprcl2="#304, Expecting Recall";
  label xprcl3="#305, Definite Recall Date Given";
  label pd2="#306, Potential Duration";
  label usees="#307, Use ES Service";
  label esjob="#308, Had to go to ES to get UI";
  label esjobe="#309, Went to ES Early";
  label esjobl="#310, Went to ES Late";
  label refer="#311, Referred to Job";
  label jobinfo="#312, 1 if #65, #66 or #67 = 1";
  label xhrwg1="#313, Hourly Wage on Job 1";
  label rwui="#314, Real Wkly Wage, Pre-UI Job";
  label hrpre="#315, Real Hrly Wage on Pre-UI Job";
  label rw1="#316, Real Wage on Job 1";
  label hrwg1="#317, Real Hrly Wage on Job 1";
  label wks1="#318, See Documentation";
  label datex="#319, See Documentation";
  label exht1="#320, Tier 1 Exhaustion Dummy";
  label exht2="#321, Tier 2 Exhaustion Dummy";
  label wks2="#322, See Documentation";
  label samejob="#323, 1 if #106=1";
  label exht3="#324, See Documentation";
  label exht4="#325, See Documentation";
  label wks3="#326, See Documentation";
  label wks4="#327, See Documentation";
  label sum2="#328, EXHT3 + EXHT4";
  label xcont="#329, ESARS, 1st Tran Code";
  label xcontd="#330, ESARS, 1st Tran Date";
  label xct="#331, ESARS, Counseling Testing";
  label xjr="#332, ESARS, Job Referral";
  label xp="#333, ESARS, Job Placement";
  label xlo="#334, ESARS, Local Office Contact";
  label xctdate="#335, ESARS, 1st Counsel/Test Date";
  label xjrdate="#336, ESARS, 1st Local Contact Date";
  label xpdate="#337, ESARS, 1st Job Place Date";
  label xlodate="#338, ESARS, 1st Job Place Date";
  label esars="#339, ESARS, Has ESARS Record";
 
  format state 1.;
  format batch1 batch2 id1 id2 ampm status1 q1 q2 q3month q3day q3year q5 
         q6month q6day q6year q7 q8 q9 q10a q10b q10c q10d q10e q10f
         q10g q10h q10i q11 q12a q12b q12c q12d q12e q12f q12g q13 q14 q15 
         q16a q16b q16c q16d q16e q16f q16g q17 q18 q19 q20a q20b q20c
         q20d q20e q20f q20g q20h q21 q22a q22b q22c q22d q22e q22f q22g
         q22h q22i q22j q22k q23a q23b q23c q23d q23e q23f q23g q23h q23i 
         q23j q23k q24 q25 q27 q28 q30frmo1 q30frdy1 q30fryr1 q30tomo1
         q30tody1 q30toyr1 q31_1 q32_1 q33_1 q34_1 q35_1 q36_1per q37_1 q38_1 
         q39_1 q40_1 q41_1 q42_1 q30frmo2 q30frdy2 q30fryr2 q30tomo2
         q30tody2 q30toyr2 q31_2 q32_2 q33_2 q34_2 q35_2 q36_2per q37_2 
         q38_2 q39_2 q40_2 q41_2 q42_2 q30frmo3 q30frdy3 q30fryr3 q30tomo3
         q30tody3 q30toyr3 q31_3 q32_3 q33_3 q34_3 q35_3 q36_3per 
         q37_3 q38_3 q39_3 q40_3 q41_3 q43ampm q36mail q37mail q38mail q39mail
         q40mail q41mail reason1 exhaust disqual status2 benyrreg stateres gender1
         birthyr educhigh voctech ethnic inperson combine combst valid series
         progtype special reimburs basewks potdur1 durdisq indefdis wksclmd
         wkscomp1 wkscomp2 wkscomp3 noinit claimtyp wksfile empdesig reason2
         sepdisq sepissue sepweeks disdur nonmonis denied reduce marital
         recall1 recall2 hhincome penclass usualhrs spousewk hhsize hhwork
         depend stlast miss wgratio state2 ltjan80 gtjan80 age gender2 black
         spwork xprcl2 xprcl3 usees esjob esjobe esjobl refer jobinfo exht1 
         exht2 samejob exht3 exht4 sum2 xct xjr xp xlo esars 2.;
  format mpri q4per q26 minutes tenure weeksint wksjob1 wksjob2 wksjob3 wkspre1
         uispell1 w12 w23 w31 wksempin tu12 tu23 tu31 wksunint wksout
         pctunemp pctout weeksui gwrr cntyres wbaaug wba pension cntyemp 
         xcont 3.;
  format intdate1 inttime q43time pctemp date cityres usualern stateuse 
         taxrate pd2 4.;
  format intid q4dollar q36_1dol q36_2dol q36_3dol earnpre earnjob1 earnjob2
         earnjob3 localoff baseearn highqtr tier1 totalpd1 totalpd2 totalpd3
         entaft1 fein1 fein2 emps10 ziplast wks1 wks2 wks3 wks4 5.;
  format id3 batch3 xprewg xhrwg1 rwui hrpre rw1 hrwg1 datex 6.;
  format occskill 7.;
  format intdate2 sepstart sepend job1strt job1end job2strt job2end job3strt 
         job3end $6.;
  format bendate byb bye firstdt1 finaldt1 latest1 firstdt2 finaldt2 latest2
         firstdt3 finaldt3 latest3 checkdt1 checkdt2 checkdt3 datefire 
         sepbegin lastday xcontd xctdate xjrdate xpdate xlodate yymmdd10.;
  format claimzip $5.;
  format filler2 $9.;
  format filler1 $21.;
run;

